body {
    position: relative;
}

header {
    position: fixed;
    width: 100%;
    max-width: 1920px;
    left: 50%;
    top: 0;
    transition: ease all .3s;
    transform: translateX(-50%);
    background-color: var(--basicWhite);
    z-index: 150;
}

.menu {
    display: flex;
    justify-content: space-between;
    position: relative;
    z-index: 200;
}

.menu .mainMenu{
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.menu #navLogo {
    display: flex;
    align-items: center;
    height: auto;
}

.menu #navLogo a{
    display: flex;
    align-items: center;
}

.menu #navLogo a img {
    height: 4em;
    width: auto;
    max-width: 100%;
    object-fit: contain;
}

.menu ul li {
    list-style: none;
}

.menu ul {
    padding: 0;
    margin: 0;
}

.menu #navMenu {
    display: flex;
}

.menu #navMenu ul {
    display: flex;
    gap: 1.5em;
    padding-right: 1.5em;
}

.menu #navMenu ul li {
    padding: 1.5em 0;
}


.menu #navMenu ul li a {
    display: flex;
    align-items: center;
    gap: .5em;
    transition: ease all .3s;
    cursor: pointer;
}

.menu #navMenu ul li a:hover {
    opacity: .5;
}

.menu #navMenu ul li a span {
    display: flex;
    align-items: center;
}

.menu #navMenu ul li a svg {
    width: 1em;
    height: auto;
    aspect-ratio: 1/1;
    transition: ease all .3s;
}

.menu #navMenu ul li .navSubMenu {
    position: absolute;
    top: 0;
    transform: translate( -50%, -100%);
    left: 50%;
    display: flex;
    flex-direction: column;
    gap: .5em;
    min-width: 100%;
    width: fit-content;
    transition: ease opacity .3s;
    opacity: 0;
    z-index: -1;
}


.menu #navMenu ul li.parentSubMenu.openSubMenu svg {
    transform: rotate(90deg);
}

.menu #navMenu ul li.parentSubMenu.openSubMenu .navSubMenu {
    top: 110%;
    transform: translate(-50%, 0);
    opacity: 1;
    transition: ease all .3s;
}

.menu #navMenu ul li .navSubMenu .containerLInkSubMenu {
    display: flex;
    flex-direction: column;
    gap: .5em;
    padding: .5em;
    min-width: max-content;
    background-color: var(--basicWhite);
    box-shadow: 0px 0px 15px 4px rgba(0, 0, 0, 0.32);
}

.menu #navMenu ul li .navSubMenu .containerLInkSubMenu p{
    padding: 1.5em 2.5em 1.5em 1em;
}

.menu #navMenu ul li .navSubMenu .containerLInkSubMenu a:after{
    opacity: .3;
}

.menu #navMenu ul .socialMenu{
    display: flex;
    gap: 1em;
    align-items: center;
}

.menu #navMenu ul .socialMenu p{
    padding: .25em 1em;
}


.menu #navMenu ul .socialMenu a{
    display: flex;
    align-items: center;
}

.menu #navMenu ul .socialMenu svg{
    width: 1.5em;
    height: 1.5em;
}

.menu #navMenu ul .socialMenu svg path{
    fill: var(--basicColor1);
}

.menu #navMenu ul .socialMenu .socialContainer{
    display: flex;
    gap: .5em;
    align-items: center;
}

.externalLink {
    display: none;
}

.mobileBtnMenu{
    display: none;
}

.mobileBtnMenu svg path{
    fill: var(--basicColor1);
}

@media screen and (max-width: 1400px) {
    .menu #navMenu ul {
        gap: 1em;
    }

    .menu #navMenu ul .socialMenu p{
        display: none;
    }
}

@media screen and (max-width: 1250px) {

}

@media screen and (max-width: 1200px) {

    nav .mobileBtnMenu{
        display: flex;
        padding-right: 1em;
    }

    nav .mobileBtnMenu .close{
        display: none;
    }

    nav.active .mobileBtnMenu .close{
        display: flex;
    }

    nav.active .mobileBtnMenu .open{
        display: none;
    }

    nav .mobileBtnMenu span{
        display: flex;
    }

    header {
        background: var(--basicWhite);
    }

    .menu #navLogo a {
        position: initial;
    }

    .menu {
        position: relative;
    }

    .menu {
        padding: 1em 0;
        position: initial;
    }

    .menu #navMenu {
        display: none;
    }

    .menu #navLogo{
        width: fit-content;
    }

    .menu.active #navMenu {
        display: flex;
        position: absolute;
        top: 100%;
        width: 100%;
        z-index: 1000;
        left: 0;
        padding: 0 1.5em;
        background-color: white;
    }

    .menu #navMenu {
        display: flex;
        position: absolute;
        top: 100%;
        width: 100%;
        z-index: 1000;
        left: -100%;
        transition: ease all .3s;
        justify-content: center;
    }

}


@media screen and (max-width: 950px) {
    .menu #navMenu ul {
        gap: .5em;
    }
    .menu #navMenu {
        height: 100vh;
    }

    .menu #navMenu ul {
        flex-direction: column;
        padding: 1.5em;
    }

    .menu #navMenu ul li {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: .5em 0;
    }

    .menu #navMenu ul li .navSubMenu {
        position: initial;
        z-index: 300;
        transform: translate(0, 0);
        height: 0;
        overflow: hidden;
        padding: 0;
    }

    .menu #navMenu ul li .navSubMenu .containerLInkSubMenu {
        background-color: transparent;
        display: flex;
        flex-direction: column;
        gap: .5em;
        align-items: center;
    }

    .menu #navMenu ul li.parentSubMenu.openSubMenu .navSubMenu {
        height: auto;
        transform: translate(0, 0);
    }

    .menu #navMenu ul li.parentSubMenu.openSubMenu .navSubMenu  a{
        width: 100%;
    }

    .externalLink {
        display: flex;
    }

    .externalLink a {
        padding: .75em 1.25em;
        border: 1px solid var(--basicColor2);
        background-color: var(--basicColor2);
        transition: ease all .3s;
        color: var(--basicWhite);
        border-radius: var(--basicRadius);
    }

    .externalLink a:hover {
        background-color: var(--basicWhite);
        border: 1px solid var(--basicWhite);
        color: var(--basicBlack);
    }

    .menu #navMenu ul .socialMenu{
        justify-content: center;
    }
}

